TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connections.scimConfiguration.tokens.delete("id", "tokenId");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connections.scimConfiguration.tokens.delete("id", "tokenId");
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.Connections.SCIMConfiguration.Tokens.Delete(
context.TODO(),
"id",
"tokenId",
)
}
# Ensure you're logged in: auth0 login
auth0 api delete "connections/id/scim-configuration/tokens/tokenId" --forceusing Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Connections.ScimConfiguration.Tokens.DeleteAsync(
"id",
"tokenId"
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.connections().scimConfiguration().tokens().delete("id", "tokenId");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->connections->scimConfiguration->tokens->delete(
'id',
'tokenId',
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.connections.scim_configuration.tokens.delete(
id="id",
token_id="tokenId",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.connections.scim_configuration.tokens.delete(
id: "id",
token_id: "tokenId"
)
curl --request DELETE \
--url https://{tenantDomain}/api/v2/connections/{id}/scim-configuration/tokens/{tokenId} \
--header 'Authorization: Bearer <token>'Delete a connection's SCIM token
Deletes a scim token by its connection id and tokenId.
DELETE
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
scim-configuration
/
tokens
/
{tokenId}
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connections.scimConfiguration.tokens.delete("id", "tokenId");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connections.scimConfiguration.tokens.delete("id", "tokenId");
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.Connections.SCIMConfiguration.Tokens.Delete(
context.TODO(),
"id",
"tokenId",
)
}
# Ensure you're logged in: auth0 login
auth0 api delete "connections/id/scim-configuration/tokens/tokenId" --forceusing Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Connections.ScimConfiguration.Tokens.DeleteAsync(
"id",
"tokenId"
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.connections().scimConfiguration().tokens().delete("id", "tokenId");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->connections->scimConfiguration->tokens->delete(
'id',
'tokenId',
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.connections.scim_configuration.tokens.delete(
id="id",
token_id="tokenId",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.connections.scim_configuration.tokens.delete(
id: "id",
token_id: "tokenId"
)
curl --request DELETE \
--url https://{tenantDomain}/api/v2/connections/{id}/scim-configuration/tokens/{tokenId} \
--header 'Authorization: Bearer <token>'Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Scopes
delete:scim_token
Delete Scim Token
Path Parameters
The connection id that owns the SCIM token to delete
The id of the scim token to delete
Response
The SCIM token has been deleted.